Name:           python-dbmsbenchmarker
Version:        0.14.9
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        DBMS-Benchmarker is a Python-based application-level blackbox benchmark tool for Database Management Systems (DBMS). It connects to a given list of DBMS (via JDBC) and runs a given list of parametrized and randomized (SQL) benchmark queries. Evaluations are available via Python interface, in reports and at an interactive multi-dimensional dashboard.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Beuth-Erdelt/DBMS-Benchmarker
Source:         %{pypi_source dbmsbenchmarker}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dbmsbenchmarker' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dbmsbenchmarker
Summary:        %{summary}

%description -n python3-dbmsbenchmarker %_description


%prep
%autosetup -p1 -n dbmsbenchmarker-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dbmsbenchmarker -f %{pyproject_files}


%changelog
%autochangelog